Bug 1261305 - Add infinispan.client.hotrod.max_retries equivalent to C++ client
Add infinispan.client.hotrod.max_retries equivalent to C++ client
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity unspecified
: DR4
: 6.6.0
Assigned To: Pedro Ruivo
Alan Field
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 03:28 EDT by Osamu Nagano
Modified: 2018-01-29 20:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Java HotRod client includes the ability to configure the number of times a network operation is retried. As of Red Hat JBoss Data Grid 6.6.0 the C++ client includes a <classname>ConfigurationBuilder</classname> with the ability to set the <parameter>maxRetries</parameter> configuration value.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HRCPP-198 Major Resolved Add infinispan.client.hotrod.max_retries equivalent 2016-03-08 21:20 EST
JBoss Issue Tracker PRODMGT-1391 Major Resolved Add infinispan.client.hotrod.max_retries equivalent to C++ client 2016-03-08 21:20 EST

  None (edit)
Description Osamu Nagano 2015-09-09 03:28:24 EDT
Description of problem:
Java client has Hot Rod client property "infinispan.client.hotrod.max_retries" but C++ client doesn't have.  Please make this configurable in C++ client as well so that it can failover faster than default.

https://docs.jboss.org/infinispan/7.2/apidocs/org/infinispan/client/hotrod/RemoteCacheManager.html
https://docs.jboss.org/infinispan/7.2/apidocs/org/infinispan/client/hotrod/configuration/ConfigurationBuilder.html#maxRetries%28int%29
Comment 5 Alan Field 2015-10-27 08:36:38 EDT
Verified in JDG 6.6 DR4.

Note You need to log in before you can comment on or make changes to this bug.